=== debian/changelog ===
pothos-plotters (0.4.2-1) unstable; urgency=low

  * Release 0.4.2 (2021-07-25)

 -- Josh Blum <josh@pothosware.com>  Sun, 25 Jul 2021 17:49:34 -0000

pothos-plotters (0.4.1-1) unstable; urgency=low

  * Release 0.4.1 (2018-04-24)

 -- Josh Blum <josh@pothosware.com>  Tue, 24 Apr 2018 20:30:21 -0000

pothos-plotters (0.4.0-1) unstable; urgency=low

  * Release 0.4.0 (2017-12-25)

 -- Josh Blum <josh@pothosware.com>  Mon, 25 Dec 2017 11:32:08 -0000

pothos-plotters (0.3.1-1) unstable; urgency=low

  * Release 0.3.1 (2017-06-22)

 -- Josh Blum <josh@pothosware.com>  Thu, 22 Jun 2017 19:53:40 -0000

pothos-plotters (0.3.0-1) unstable; urgency=low

  * Release 0.3.0 (2017-04-27)

 -- Josh Blum <josh@pothosware.com>  Thu, 27 Apr 2017 17:00:27 -0000

pothos-plotters (0.2.2-1) unstable; urgency=low

  * Release 0.2.2 (2017-04-23)

 -- Josh Blum <josh@pothosware.com>  Sun, 23 Apr 2017 20:38:10 -0000

pothos-plotters (0.2.1-ppa1) unstable; urgency=low

  * Release 0.2.1 (2016-09-24)

 -- Josh Blum <josh@pothosware.com>  Sun, 25 Sep 2016 09:29:56 -0700

pothos-plotters (0.2.0) unstable; urgency=low

  * Release 0.2.0 (2016-08-02)

 -- Josh Blum <josh@pothosware.com>  Tue, 02 Aug 2016 14:27:00 -0700

pothos-plotters (0.1.1) unstable; urgency=low

  * Release 0.1.1 (2016-05-10)

 -- Josh Blum <josh@pothosware.com>  Tue, 10 May 2016 16:22:03 -0700

pothos-plotters (0.1.0) unstable; urgency=low

  * Release 0.1.0 (2015-12-16)

 -- Josh Blum <josh@pothosware.com>  Wed, 16 Dec 2015 16:30:45 -0800
