=== debian/control ===
Source: pothos-plotters
Section: science
Priority: optional
Maintainer: Josh Blum <josh@pothosware.com>
Build-Depends:
    debhelper (>= 9.0.0),
    cmake (>= 2.8.9),
    libpoco-dev (>= 1.6),
    libpothos-dev,
    libspuce-dev,
    qtbase5-dev, libqt5svg5-dev, libqt5opengl5-dev,
    libqwt-qt5-dev
Standards-Version: 4.5.0
Homepage: https://github.com/pothosware/PothosPlotters/wiki
Vcs-Git: https://github.com/pothosware/PothosPlotters.git
Vcs-Browser: https://github.com/pothosware/PothosPlotters

Package: pothos-modules-plotters
Section: libs
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: pothos0.7-modules-plotters, ${misc:Depends}
Description: graphical plotter widgets - metapackage
 The Pothos data-flow software suite.

Package: pothos0.7-modules-plotters
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libpothosplotterutils0.2.0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: graphical plotter widgets
 The Pothos data-flow software suite.

Package: libpothosplotterutils0.2.0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: plotter utility shared library
 The Pothos data-flow software suite.
